Subject: Re: RFC: Cisco HDLC bridging

From: Krzysztof Halasa <[email-masked]>
Date: Thu, 17 Jun 2004 00:49:59 +0200

"Eble, Dan" <[email-masked]> writes:

> Ah, yes.  But if the device does not have ARPHRD_ETHER the bridge driver
> will not allow it to be used as a port.

Correct. And while we can "fix" the bridge and other things, it's
still not enough.

> This is the sethdlc syntax I have chosen to create and destroy the hdlcXeth0
> device:
>
> 	sethdlc hdlc0 cisco proto <type> [ enable | disable ]
>
> Where <type> is 0x6558 for bridged ethernet packets (or maybe "ether", but I
> have not put that in yet).  I figure this will be useful to enable and
> disable other protocols too.

Ok. I'd prefer "ether", though.
-- 
Krzysztof Halasa, B*FH